#!/bin/sh
mhome=/home/mail

cd $mhome
dusers=$(ls -d * | tr -d '/')

for duser in $dusers ; do
	cd $mhome/$duser

	users=$(find . -maxdepth 1 | cut -d/ -f2 | sed '/^\./d')
	duid=$(id -u $duser)
	dgid=$(id -g $duser)

	rm -f .assign
	for user in $users; do
		line="=$duser-$user:$duser:$duid:$dgid:$mhome/$duser/$user:::"
		test ! -f .qmail-$user && echo "$line" >> .assign
	done
	chown $duser:mailboxen .assign
done
